Xerces2 Implementation: Class XMLEntityManager.InternalEntity

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xerces.impl
Class XMLEntityManager.InternalEntity

    java.lang.Object
      |
      +--org.apache.xerces.impl.XMLEntityManager.Entity
            |
            +--org.apache.xerces.impl.XMLEntityManager.InternalEntity

Enclosing class:
  XMLEntityManager

protected static class XMLEntityManager.InternalEntity
extends XMLEntityManager.Entity

Internal entity.

# INTERNAL:

  Usage of this class is not supported. It may be altered or removed at any time.

Author:
  Andy Clark, IBM

Field Summary
`java.lang.String` | `text` Text value of entity.

Fields inherited from class org.apache.xerces.impl.XMLEntityManager.Entity
`inExternalSubset, name`

Constructor Summary
`XMLEntityManager.InternalEntity()` Default constructor.
`XMLEntityManager.InternalEntity(java.lang.String name, java.lang.String text, boolean inExternalSubset)` Constructs an internal entity.

Method Summary
`void` | `clear()` Clears the entity.
`boolean` | `isExternal()` Returns true if this is an external entity.
`boolean` | `isUnparsed()` Returns true if this is an unparsed entity.
`void` | `setValues(XMLEntityManager.Entity entity)` Sets the values of the entity.
`void` | `setValues(XMLEntityManager.InternalEntity entity)` Sets the values of the entity.

Methods inherited from class org.apache.xerces.impl.XMLEntityManager.Entity
`isEntityDeclInExternalSubset`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### text

    public java.lang.String text

  Text value of entity.

Constructor Detail

### XMLEntityManager.InternalEntity

    public XMLEntityManager.InternalEntity()

  Default constructor.

### XMLEntityManager.InternalEntity

    public XMLEntityManager.InternalEntity(java.lang.String name,
                                           java.lang.String text,
                                           boolean inExternalSubset)

  Constructs an internal entity.

Method Detail

### isExternal

    public final boolean isExternal()

  Returns true if this is an external entity.
  Overrides:
    `isExternal` in class `XMLEntityManager.Entity`

### isUnparsed

    public final boolean isUnparsed()

  Returns true if this is an unparsed entity.
  Overrides:
    `isUnparsed` in class `XMLEntityManager.Entity`

### clear

    public void clear()

  Clears the entity.
  Overrides:
    `clear` in class `XMLEntityManager.Entity`

### setValues

    public void setValues(XMLEntityManager.Entity entity)

  Sets the values of the entity.
  Overrides:
    `setValues` in class `XMLEntityManager.Entity`

### setValues

    public void setValues(XMLEntityManager.InternalEntity entity)

  Sets the values of the entity.

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2010 The Apache Software Foundation. All Rights Reserved.